Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
PredType Class Reference

`#include <c++/src/H5PredType.h>`

## Detailed Description

Class PredType holds the definition of all the HDF5 predefined datatypes.

These types can only be made copy of, not created by H5Tcreate or closed by H5Tclose. They are treated as constants.

Inheritance diagram for PredType:

## Public Member Functions
void | commit (H5Location &loc, const char *name)
| This dummy function do not inherit from DataType - it will throw a DataTypeIException if invoked.
void | commit (H5Location &loc, const H5std_string &name)
| This dummy function do not inherit from DataType - it will throw a DataTypeIException if invoked.
bool | committed ()
| This dummy function do not inherit from DataType - it will throw a DataTypeIException if invoked.
virtual H5std_string | fromClass () const override
| Returns this class name.
PredType & | operator= (const PredType &rhs)
| PredType (const PredType &original)
virtual | ~PredType () override=default
Public Member Functions inherited from AtomType
| AtomType (const AtomType &original)
int | getOffset () const
H5T_order_t | getOrder () const
H5T_order_t | getOrder (H5std_string &order_string) const
void | getPad (H5T_pad_t &lsb, H5T_pad_t &msb) const
size_t | getPrecision () const
void | setOffset (size_t offset) const
void | setOrder (H5T_order_t order) const
void | setPad (H5T_pad_t lsb, H5T_pad_t msb) const
void | setPrecision (size_t precision) const
void | setSize (size_t size) const
virtual | ~AtomType () override=default
Public Member Functions inherited from DataType
virtual void | close () override
void | commit (const H5Location &loc, const char *name)
void | commit (const H5Location &loc, const H5std_string &name)
bool | committed () const
void | convert (const DataType &dest, size_t nelmts, void *buf, void *background, const PropList &plist=PropList::DEFAULT) const
void | copy (const DataSet &dset)
void | copy (const DataType &like_type)
| DataType ()
| DataType (const DataType &original)
| DataType (const H5Location &loc, const char *name)
| DataType (const H5Location &loc, const H5std_string &name)
| DataType (const H5Location &loc, const void *ref, H5R_type_t ref_type=H5R_OBJECT, const PropList &plist=PropList::DEFAULT)
| DataType (const H5T_class_t type_class, size_t size)
| DataType (const hid_t type_id)
| DataType (const PredType &pred_type)
virtual DataType * | decode () const
bool | detectClass (H5T_class_t cls) const
void | encode ()
H5T_conv_t | find (const DataType &dest, H5T_cdata_t **pcdata) const
H5T_class_t | getClass () const
PropList | getCreatePlist () const
virtual hid_t | getId () const override
size_t | getSize () const
DataType | getSuper () const
H5std_string | getTag () const
bool | hasBinaryDesc () const
bool | isVariableStr () const
void | lock () const
bool | operator!= (const DataType &compared_type) const
DataType & | operator= (const DataType &rhs)
bool | operator== (const DataType &compared_type) const
void | registerFunc (H5T_pers_t pers, const char *name, const DataType &dest, H5T_conv_t func) const
void | registerFunc (H5T_pers_t pers, const H5std_string &name, const DataType &dest, H5T_conv_t func) const
void | setTag (const char *tag) const
void | setTag (const H5std_string &tag) const
void | unregister (H5T_pers_t pers, const char *name, const DataType &dest, H5T_conv_t func) const
void | unregister (H5T_pers_t pers, const H5std_string &name, const DataType &dest, H5T_conv_t func) const
virtual | ~DataType () override
Public Member Functions inherited from H5Object
bool | attrExists (const char *name) const
bool | attrExists (const H5std_string &name) const
Attribute | createAttribute (const char *name, const DataType &type, const DataSpace &space, const PropList &create_plist=PropList::DEFAULT) const
Attribute | createAttribute (const H5std_string &name, const DataType &type, const DataSpace &space, const PropList &create_plist=PropList::DEFAULT) const
int | getNumAttrs () const
H5std_string | getObjName () const
ssize_t | getObjName (char *obj_name, size_t buf_size=0) const
ssize_t | getObjName (H5std_string &obj_name, size_t len=0) const
int | iterateAttrs (attr_operator_t user_op, unsigned *idx=NULL, void *op_data=NULL)
unsigned | objVersion () const
Attribute | openAttribute (const char *name) const
Attribute | openAttribute (const H5std_string &name) const
Attribute | openAttribute (const unsigned int idx) const
void | removeAttr (const char *name) const
void | removeAttr (const H5std_string &name) const
void | renameAttr (const char *oldname, const char *newname) const
void | renameAttr (const H5std_string &oldname, const H5std_string &newname) const
void | visit (H5_index_t idx_type, H5_iter_order_t order, visit_operator_t user_op, void *op_data, unsigned int fields)
Public Member Functions inherited from H5Location
H5O_type_t | childObjType (const char *objname) const
H5O_type_t | childObjType (const H5std_string &objname) const
H5O_type_t | childObjType (hsize_t index, H5_index_t index_type=H5_INDEX_NAME, H5_iter_order_t order=H5_ITER_INC, const char *objname=".") const
unsigned | childObjVersion (const char *objname) const
unsigned | childObjVersion (const H5std_string &objname) const
void | copyLink (const char *src_name, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | copyLink (const char *src_name, const Group &dst, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | copyLink (const H5std_string &src_name, const Group &dst, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | copyLink (const H5std_string &src_name, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
DataSet | createDataSet (const char *name, const DataType &data_type, const DataSpace &data_space, const DSetCreatPropList &create_plist=DSetCreatPropList::DEFAULT, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT) const
DataSet | createDataSet (const H5std_string &name, const DataType &data_type, const DataSpace &data_space, const DSetCreatPropList &create_plist=DSetCreatPropList::DEFAULT, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT) const
Group | createGroup (const char *name, const LinkCreatPropList &lcpl) const
Group | createGroup (const char *name, size_t size_hint=0) const
Group | createGroup (const H5std_string &name, const LinkCreatPropList &lcpl) const
Group | createGroup (const H5std_string &name, size_t size_hint=0) const
void | dereference (const H5Location &loc, const void *ref, H5R_type_t ref_type=H5R_OBJECT, const PropList &plist=PropList::DEFAULT)
bool | exists (const char *name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
bool | exists (const H5std_string &name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | flush (H5F_scope_t scope) const
ssize_t | getComment (const char *name, size_t buf_size, char *comment) const
H5std_string | getComment (const char *name, size_t buf_size=0) const
H5std_string | getComment (const H5std_string &name, size_t buf_size=0) const
H5std_string | getFileName () const
H5L_info2_t | getLinkInfo (const char *link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
H5L_info2_t | getLinkInfo (const H5std_string &link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
H5std_string | getLinkval (const char *link_name, size_t size=0) const
H5std_string | getLinkval (const H5std_string &link_name, size_t size=0) const
void | getNativeObjinfo (const char *grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (const char *name, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (const H5std_string &grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (const H5std_string &name, H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getNativeObjinfo (H5O_native_info_t &objinfo, unsigned fields=H5O_NATIVE_INFO_HDR) const
hsize_t | getNumObjs () const
void | getObjinfo (const char *grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (const char *name, bool follow_link, H5G_stat_t &statbuf) const
void | getObjinfo (const char *name, H5G_stat_t &statbuf) const
void | getObjinfo (const char *name, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (const H5std_string &grp_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t idx, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (const H5std_string &name, bool follow_link, H5G_stat_t &statbuf) const
void | getObjinfo (const H5std_string &name, H5G_stat_t &statbuf) const
void | getObjinfo (const H5std_string &name, H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | getObjinfo (H5O_info2_t &objinfo, unsigned fields=H5O_INFO_BASIC) const
H5std_string | getObjnameByIdx (hsize_t idx) const
ssize_t | getObjnameByIdx (hsize_t idx, char *name, size_t size) const
ssize_t | getObjnameByIdx (hsize_t idx, H5std_string &name, size_t size) const
H5G_obj_t | getObjType (void *ref, H5R_type_t ref_type=H5R_OBJECT) const
H5G_obj_t | getObjTypeByIdx (hsize_t idx) const
H5G_obj_t | getObjTypeByIdx (hsize_t idx, char *type_name) const
H5G_obj_t | getObjTypeByIdx (hsize_t idx, H5std_string &type_name) const
H5O_type_t | getRefObjType (void *ref, H5R_type_t ref_type=H5R_OBJECT) const
DataSpace | getRegion (void *ref, H5R_type_t ref_type=H5R_DATASET_REGION) const
| H5Location ()
int | iterateElems (const char *name, int *idx, H5G_iterate_t op, void *op_data)
int | iterateElems (const H5std_string &name, int *idx, H5G_iterate_t op, void *op_data)
void | link (const char *curr_name, const Group &new_loc, const char *new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const char *curr_name, const hid_t same_loc, const char *new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const char *target_name, const char *link_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const H5std_string &curr_name, const Group &new_loc, const H5std_string &new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const H5std_string &curr_name, const hid_t same_loc, const H5std_string &new_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (const H5std_string &target_name, const H5std_string &link_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | link (H5L_type_t link_type, const char *curr_name, const char *new_name) const
void | link (H5L_type_t link_type, const H5std_string &curr_name, const H5std_string &new_name) const
void | mount (const char *name, const H5File &child, const PropList &plist) const
void | mount (const H5std_string &name, const H5File &child, const PropList &plist) const
void | move (const char *src, const char *dst) const
void | move (const H5std_string &src, const H5std_string &dst) const
void | moveLink (const char *src_name, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | moveLink (const char *src_name, const Group &dst, const char *dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | moveLink (const H5std_string &src_name, const Group &dst, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | moveLink (const H5std_string &src_name, const H5std_string &dst_name, const LinkCreatPropList &lcpl=LinkCreatPropList::DEFAULT, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
bool | nameExists (const char *name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
bool | nameExists (const H5std_string &name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
DataSet | openDataSet (const char *name, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT) const
DataSet | openDataSet (const H5std_string &name, const DSetAccPropList &dapl=DSetAccPropList::DEFAULT) const
Group | openGroup (const char *name) const
Group | openGroup (const H5std_string &name) const
void | reference (void *ref, const char *name, const DataSpace &dataspace, H5R_type_t ref_type=H5R_DATASET_REGION) const
void | reference (void *ref, const char *name, H5R_type_t ref_type=H5R_OBJECT) const
void | reference (void *ref, const H5std_string &name, const DataSpace &dataspace, H5R_type_t ref_type=H5R_DATASET_REGION) const
void | reference (void *ref, const H5std_string &name, H5R_type_t ref_type=H5R_OBJECT) const
void | removeComment (const char *name) const
void | removeComment (const H5std_string &name) const
void | setComment (const char *comment) const
void | setComment (const char *name, const char *comment) const
void | setComment (const H5std_string &comment) const
void | setComment (const H5std_string &name, const H5std_string &comment) const
virtual void | throwException (const H5std_string &func_name, const H5std_string &msg) const
| For subclasses, H5File and Group, to throw appropriate exception.
void | unlink (const char *link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | unlink (const H5std_string &link_name, const LinkAccPropList &lapl=LinkAccPropList::DEFAULT) const
void | unmount (const char *name) const
void | unmount (const H5std_string &name) const
Public Member Functions inherited from IdComponent
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from DataType
static bool | detectClass (const PredType &pred_type, H5T_class_t cls)
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Static Public Attributes
static const PredType & | ALPHA_B16
static const PredType & | ALPHA_B32
static const PredType & | ALPHA_B64
static const PredType & | ALPHA_B8
static const PredType & | ALPHA_F32
static const PredType & | ALPHA_F64
static const PredType & | ALPHA_I16
static const PredType & | ALPHA_I32
static const PredType & | ALPHA_I64
static const PredType & | ALPHA_I8
static const PredType & | ALPHA_U16
static const PredType & | ALPHA_U32
static const PredType & | ALPHA_U64
static const PredType & | ALPHA_U8
static const PredType & | C_S1
static const PredType & | FLOAT_BFLOAT16BE
static const PredType & | FLOAT_BFLOAT16LE
static const PredType & | FLOAT_F8E4M3
static const PredType & | FLOAT_F8E5M2
static const PredType & | FORTRAN_S1
static const PredType & | IEEE_F32BE
static const PredType & | IEEE_F32LE
static const PredType & | IEEE_F64BE
static const PredType & | IEEE_F64LE
static const PredType & | INTEL_B16
static const PredType & | INTEL_B32
static const PredType & | INTEL_B64
static const PredType & | INTEL_B8
static const PredType & | INTEL_F32
static const PredType & | INTEL_F64
static const PredType & | INTEL_I16
static const PredType & | INTEL_I32
static const PredType & | INTEL_I64
static const PredType & | INTEL_I8
static const PredType & | INTEL_U16
static const PredType & | INTEL_U32
static const PredType & | INTEL_U64
static const PredType & | INTEL_U8
static const PredType & | MIPS_B16
static const PredType & | MIPS_B32
static const PredType & | MIPS_B64
static const PredType & | MIPS_B8
static const PredType & | MIPS_F32
static const PredType & | MIPS_F64
static const PredType & | MIPS_I16
static const PredType & | MIPS_I32
static const PredType & | MIPS_I64
static const PredType & | MIPS_I8
static const PredType & | MIPS_U16
static const PredType & | MIPS_U32
static const PredType & | MIPS_U64
static const PredType & | MIPS_U8
static const PredType & | NATIVE_B16
static const PredType & | NATIVE_B32
static const PredType & | NATIVE_B64
static const PredType & | NATIVE_B8
static const PredType & | NATIVE_CHAR
static const PredType & | NATIVE_DOUBLE
static const PredType & | NATIVE_FLOAT
static const PredType & | NATIVE_HBOOL
static const PredType & | NATIVE_HERR
static const PredType & | NATIVE_HSIZE
static const PredType & | NATIVE_HSSIZE
static const PredType & | NATIVE_INT
static const PredType & | NATIVE_INT16
static const PredType & | NATIVE_INT32
static const PredType & | NATIVE_INT64
static const PredType & | NATIVE_INT8
static const PredType & | NATIVE_INT_FAST16
static const PredType & | NATIVE_INT_FAST32
static const PredType & | NATIVE_INT_FAST64
static const PredType & | NATIVE_INT_FAST8
static const PredType & | NATIVE_INT_LEAST16
static const PredType & | NATIVE_INT_LEAST32
static const PredType & | NATIVE_INT_LEAST64
static const PredType & | NATIVE_INT_LEAST8
static const PredType & | NATIVE_LDOUBLE
static const PredType & | NATIVE_LLONG
static const PredType & | NATIVE_LONG
static const PredType & | NATIVE_OPAQUE
static const PredType & | NATIVE_SCHAR
static const PredType & | NATIVE_SHORT
static const PredType & | NATIVE_UCHAR
static const PredType & | NATIVE_UINT
static const PredType & | NATIVE_UINT16
static const PredType & | NATIVE_UINT32
static const PredType & | NATIVE_UINT64
static const PredType & | NATIVE_UINT8
static const PredType & | NATIVE_UINT_FAST16
static const PredType & | NATIVE_UINT_FAST32
static const PredType & | NATIVE_UINT_FAST64
static const PredType & | NATIVE_UINT_FAST8
static const PredType & | NATIVE_UINT_LEAST16
static const PredType & | NATIVE_UINT_LEAST32
static const PredType & | NATIVE_UINT_LEAST64
static const PredType & | NATIVE_UINT_LEAST8
static const PredType & | NATIVE_ULLONG
static const PredType & | NATIVE_ULONG
static const PredType & | NATIVE_USHORT
static const PredType & | PREDTYPE_CONST
static const PredType & | STD_B16BE
static const PredType & | STD_B16LE
static const PredType & | STD_B32BE
static const PredType & | STD_B32LE
static const PredType & | STD_B64BE
static const PredType & | STD_B64LE
static const PredType & | STD_B8BE
static const PredType & | STD_B8LE
static const PredType & | STD_I16BE
static const PredType & | STD_I16LE
static const PredType & | STD_I32BE
static const PredType & | STD_I32LE
static const PredType & | STD_I64BE
static const PredType & | STD_I64LE
static const PredType & | STD_I8BE
| PredType constants.
static const PredType & | STD_I8LE
static const PredType & | STD_REF_DSETREG
static const PredType & | STD_REF_OBJ
static const PredType & | STD_U16BE
static const PredType & | STD_U16LE
static const PredType & | STD_U32BE
static const PredType & | STD_U32LE
static const PredType & | STD_U64BE
static const PredType & | STD_U64LE
static const PredType & | STD_U8BE
static const PredType & | STD_U8LE
static const PredType & | UNIX_D32BE
static const PredType & | UNIX_D32LE
static const PredType & | UNIX_D64BE
static const PredType & | UNIX_D64LE

## Protected Member Functions
| PredType ()
| PredType (const hid_t predtype_id)
Protected Member Functions inherited from AtomType
| AtomType ()
| AtomType (const hid_t existing_id)
Protected Member Functions inherited from DataType
hid_t | p_decode () const
hid_t | p_opentype (const H5Location &loc, const char *dtype_name) const
virtual void | p_setId (const hid_t new_id) override
Protected Member Functions inherited from H5Object
| H5Object ()
virtual | ~H5Object () override=default
Protected Member Functions inherited from H5Location
hid_t | p_dereference (hid_t loc_id, const void *ref, H5R_type_t ref_type, const PropList &plist, const char *from_func)
H5G_obj_t | p_get_obj_type (void *ref, H5R_type_t ref_type) const
H5O_type_t | p_get_ref_obj_type (void *ref, H5R_type_t ref_type) const
void | p_reference (void *ref, const char *name, hid_t space_id, H5R_type_t ref_type) const
virtual | ~H5Location () override=default
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const

## Additional Inherited Members
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from DataType
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ PredType() [1/3]

PredType | ( | const PredType & | original | ) |

## ◆ ~PredType()

virtual ~PredType | ( |  | ) |
| override virtual default

## ◆ PredType() [2/3]

PredType | ( |  | ) |
| protected

## ◆ PredType() [3/3]

PredType | ( | const hid_t | predtype_id | ) |
| protected

## Member Function Documentation

## ◆ commit() [1/2]

void commit | ( | H5Location & | loc,
|  | const char * | name )

This dummy function do not inherit from DataType - it will throw a DataTypeIException if invoked.

## ◆ commit() [2/2]

void commit | ( | H5Location & | loc,
|  | const H5std_string & | name )

This dummy function do not inherit from DataType - it will throw a DataTypeIException if invoked.

## ◆ committed()

bool committed | ( |  | ) |

This dummy function do not inherit from DataType - it will throw a DataTypeIException if invoked.

## ◆ deleteConstants()

static void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from AtomType.

## ◆ operator=()

PredType & operator= | ( | const PredType & | rhs | ) |

## Field Documentation

## ◆ ALPHA_B16

const PredType& ALPHA_B16
| static

## ◆ ALPHA_B32

const PredType& ALPHA_B32
| static

## ◆ ALPHA_B64

const PredType& ALPHA_B64
| static

## ◆ ALPHA_B8

const PredType& ALPHA_B8
| static

## ◆ ALPHA_F32

const PredType& ALPHA_F32
| static

## ◆ ALPHA_F64

const PredType& ALPHA_F64
| static

## ◆ ALPHA_I16

const PredType& ALPHA_I16
| static

## ◆ ALPHA_I32

const PredType& ALPHA_I32
| static

## ◆ ALPHA_I64

const PredType& ALPHA_I64
| static

## ◆ ALPHA_I8

const PredType& ALPHA_I8
| static

## ◆ ALPHA_U16

const PredType& ALPHA_U16
| static

## ◆ ALPHA_U32

const PredType& ALPHA_U32
| static

## ◆ ALPHA_U64

const PredType& ALPHA_U64
| static

## ◆ ALPHA_U8

const PredType& ALPHA_U8
| static

## ◆ C_S1

const PredType& C_S1
| static

## ◆ FLOAT_BFLOAT16BE

const PredType& FLOAT_BFLOAT16BE
| static

## ◆ FLOAT_BFLOAT16LE

const PredType& FLOAT_BFLOAT16LE
| static

## ◆ FLOAT_F8E4M3

const PredType& FLOAT_F8E4M3
| static

## ◆ FLOAT_F8E5M2

const PredType& FLOAT_F8E5M2
| static

## ◆ FORTRAN_S1

const PredType& FORTRAN_S1
| static

## ◆ IEEE_F32BE

const PredType& IEEE_F32BE
| static

## ◆ IEEE_F32LE

const PredType& IEEE_F32LE
| static

## ◆ IEEE_F64BE

const PredType& IEEE_F64BE
| static

## ◆ IEEE_F64LE

const PredType& IEEE_F64LE
| static

## ◆ INTEL_B16

const PredType& INTEL_B16
| static

## ◆ INTEL_B32

const PredType& INTEL_B32
| static

## ◆ INTEL_B64

const PredType& INTEL_B64
| static

## ◆ INTEL_B8

const PredType& INTEL_B8
| static

## ◆ INTEL_F32

const PredType& INTEL_F32
| static

## ◆ INTEL_F64

const PredType& INTEL_F64
| static

## ◆ INTEL_I16

const PredType& INTEL_I16
| static

## ◆ INTEL_I32

const PredType& INTEL_I32
| static

## ◆ INTEL_I64

const PredType& INTEL_I64
| static

## ◆ INTEL_I8

const PredType& INTEL_I8
| static

## ◆ INTEL_U16

const PredType& INTEL_U16
| static

## ◆ INTEL_U32

const PredType& INTEL_U32
| static

## ◆ INTEL_U64

const PredType& INTEL_U64
| static

## ◆ INTEL_U8

const PredType& INTEL_U8
| static

## ◆ MIPS_B16

const PredType& MIPS_B16
| static

## ◆ MIPS_B32

const PredType& MIPS_B32
| static

## ◆ MIPS_B64

const PredType& MIPS_B64
| static

## ◆ MIPS_B8

const PredType& MIPS_B8
| static

## ◆ MIPS_F32

const PredType& MIPS_F32
| static

## ◆ MIPS_F64

const PredType& MIPS_F64
| static

## ◆ MIPS_I16

const PredType& MIPS_I16
| static

## ◆ MIPS_I32

const PredType& MIPS_I32
| static

## ◆ MIPS_I64

const PredType& MIPS_I64
| static

## ◆ MIPS_I8

const PredType& MIPS_I8
| static

## ◆ MIPS_U16

const PredType& MIPS_U16
| static

## ◆ MIPS_U32

const PredType& MIPS_U32
| static

## ◆ MIPS_U64

const PredType& MIPS_U64
| static

## ◆ MIPS_U8

const PredType& MIPS_U8
| static

## ◆ NATIVE_B16

const PredType& NATIVE_B16
| static

## ◆ NATIVE_B32

const PredType& NATIVE_B32
| static

## ◆ NATIVE_B64

const PredType& NATIVE_B64
| static

## ◆ NATIVE_B8

const PredType& NATIVE_B8
| static

## ◆ NATIVE_CHAR

const PredType& NATIVE_CHAR
| static

## ◆ NATIVE_DOUBLE

const PredType& NATIVE_DOUBLE
| static

## ◆ NATIVE_FLOAT

const PredType& NATIVE_FLOAT
| static

## ◆ NATIVE_HBOOL

const PredType& NATIVE_HBOOL
| static

## ◆ NATIVE_HERR

const PredType& NATIVE_HERR
| static

## ◆ NATIVE_HSIZE

const PredType& NATIVE_HSIZE
| static

## ◆ NATIVE_HSSIZE

const PredType& NATIVE_HSSIZE
| static

## ◆ NATIVE_INT

const PredType& NATIVE_INT
| static

## ◆ NATIVE_INT16

const PredType& NATIVE_INT16
| static

## ◆ NATIVE_INT32

const PredType& NATIVE_INT32
| static

## ◆ NATIVE_INT64

const PredType& NATIVE_INT64
| static

## ◆ NATIVE_INT8

const PredType& NATIVE_INT8
| static

## ◆ NATIVE_INT_FAST16

const PredType& NATIVE_INT_FAST16
| static

## ◆ NATIVE_INT_FAST32

const PredType& NATIVE_INT_FAST32
| static

## ◆ NATIVE_INT_FAST64

const PredType& NATIVE_INT_FAST64
| static

## ◆ NATIVE_INT_FAST8

const PredType& NATIVE_INT_FAST8
| static

## ◆ NATIVE_INT_LEAST16

const PredType& NATIVE_INT_LEAST16
| static

## ◆ NATIVE_INT_LEAST32

const PredType& NATIVE_INT_LEAST32
| static

## ◆ NATIVE_INT_LEAST64

const PredType& NATIVE_INT_LEAST64
| static

## ◆ NATIVE_INT_LEAST8

const PredType& NATIVE_INT_LEAST8
| static

## ◆ NATIVE_LDOUBLE

const PredType& NATIVE_LDOUBLE
| static

## ◆ NATIVE_LLONG

const PredType& NATIVE_LLONG
| static

## ◆ NATIVE_LONG

const PredType& NATIVE_LONG
| static

## ◆ NATIVE_OPAQUE

const PredType& NATIVE_OPAQUE
| static

## ◆ NATIVE_SCHAR

const PredType& NATIVE_SCHAR
| static

## ◆ NATIVE_SHORT

const PredType& NATIVE_SHORT
| static

## ◆ NATIVE_UCHAR

const PredType& NATIVE_UCHAR
| static

## ◆ NATIVE_UINT

const PredType& NATIVE_UINT
| static

## ◆ NATIVE_UINT16

const PredType& NATIVE_UINT16
| static

## ◆ NATIVE_UINT32

const PredType& NATIVE_UINT32
| static

## ◆ NATIVE_UINT64

const PredType& NATIVE_UINT64
| static

## ◆ NATIVE_UINT8

const PredType& NATIVE_UINT8
| static

## ◆ NATIVE_UINT_FAST16

const PredType& NATIVE_UINT_FAST16
| static

## ◆ NATIVE_UINT_FAST32

const PredType& NATIVE_UINT_FAST32
| static

## ◆ NATIVE_UINT_FAST64

const PredType& NATIVE_UINT_FAST64
| static

## ◆ NATIVE_UINT_FAST8

const PredType& NATIVE_UINT_FAST8
| static

## ◆ NATIVE_UINT_LEAST16

const PredType& NATIVE_UINT_LEAST16
| static

## ◆ NATIVE_UINT_LEAST32

const PredType& NATIVE_UINT_LEAST32
| static

## ◆ NATIVE_UINT_LEAST64

const PredType& NATIVE_UINT_LEAST64
| static

## ◆ NATIVE_UINT_LEAST8

const PredType& NATIVE_UINT_LEAST8
| static

## ◆ NATIVE_ULLONG

const PredType& NATIVE_ULLONG
| static

## ◆ NATIVE_ULONG

const PredType& NATIVE_ULONG
| static

## ◆ NATIVE_USHORT

const PredType& NATIVE_USHORT
| static

## ◆ PREDTYPE_CONST

const PredType& PREDTYPE_CONST
| static

## ◆ STD_B16BE

const PredType& STD_B16BE
| static

## ◆ STD_B16LE

const PredType& STD_B16LE
| static

## ◆ STD_B32BE

const PredType& STD_B32BE
| static

## ◆ STD_B32LE

const PredType& STD_B32LE
| static

## ◆ STD_B64BE

const PredType& STD_B64BE
| static

## ◆ STD_B64LE

const PredType& STD_B64LE
| static

## ◆ STD_B8BE

const PredType& STD_B8BE
| static

## ◆ STD_B8LE

const PredType& STD_B8LE
| static

## ◆ STD_I16BE

const PredType& STD_I16BE
| static

## ◆ STD_I16LE

const PredType& STD_I16LE
| static

## ◆ STD_I32BE

const PredType& STD_I32BE
| static

## ◆ STD_I32LE

const PredType& STD_I32LE
| static

## ◆ STD_I64BE

const PredType& STD_I64BE
| static

## ◆ STD_I64LE

const PredType& STD_I64LE
| static

## ◆ STD_I8BE

const PredType& STD_I8BE
| static

PredType constants.

## ◆ STD_I8LE

const PredType& STD_I8LE
| static

## ◆ STD_REF_DSETREG

const PredType& STD_REF_DSETREG
| static

## ◆ STD_REF_OBJ

const PredType& STD_REF_OBJ
| static

## ◆ STD_U16BE

const PredType& STD_U16BE
| static

## ◆ STD_U16LE

const PredType& STD_U16LE
| static

## ◆ STD_U32BE

const PredType& STD_U32BE
| static

## ◆ STD_U32LE

const PredType& STD_U32LE
| static

## ◆ STD_U64BE

const PredType& STD_U64BE
| static

## ◆ STD_U64LE

const PredType& STD_U64LE
| static

## ◆ STD_U8BE

const PredType& STD_U8BE
| static

## ◆ STD_U8LE

const PredType& STD_U8LE
| static

## ◆ UNIX_D32BE

const PredType& UNIX_D32BE
| static

## ◆ UNIX_D32LE

const PredType& UNIX_D32LE
| static

## ◆ UNIX_D64BE

const PredType& UNIX_D64BE
| static

## ◆ UNIX_D64LE

const PredType& UNIX_D64LE
| static

The documentation for this class was generated from the following file:

- c++/src/H5PredType.h